package domain


type AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto struct {
    /*
        商品编码，与商品条码必选其一，或者同时传入以商品条码为准     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        商品条码，与商品编码必选其一，或者同时传入以商品条码为准     */
    Barcode  *string `json:"barcode,omitempty" `

    /*
        商品渠道配置信息     */
    SkuChannelConfigs  *[]AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuChannelConfigDTO `json:"sku_channel_configs,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto) SetSkuCode(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto {
    s.SkuCode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto) SetBarcode(v string) *AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto {
    s.Barcode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto) SetSkuChannelConfigs(v []AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuChannelConfigDTO) *AlibabaRetailMarketingBuygiftActivitySkuDeleteSkuActivityElementDto {
    s.SkuChannelConfigs = &v
    return s
}
